import 'package:cruiser/cruiser.dart';

extension CruiserTransitionExtension on TransitionType
{
    String get name
    {
        switch (this) 
        {
            case TransitionType.zoomIn: return 'Zoom in';
            case TransitionType.cube: return 'Cube';
          //  case TransitionType.cupertino: return 'Cupertino';
            case TransitionType.accordion: return 'Accordion';
            case TransitionType.backgroundToForeground: return 'Background to Foreground';
            case TransitionType.depth: return 'Depth';
            case TransitionType.flipHorizontal: return 'Flip Horizontal';
            case TransitionType.flipVertical: return 'Flip Vertical';
            case TransitionType.foregroundToBackground: return 'Foreground to Background';
            case TransitionType.parallaxLeft: return 'Parallax Left';
            case TransitionType.parallaxTop: return 'Parallax Top';
            case TransitionType.rotateDown: return 'Rotate Down';
            case TransitionType.rotateUp: return 'Rotate Up';
            case TransitionType.stack: return 'Stack';
            case TransitionType.tablet: return 'Tablet';
            case TransitionType.zoomOutSlide: return 'Zoom Out Slide';
            case TransitionType.slide: return 'Slide';
           // case TransitionType.material: return 'Material';
            default: return '$this';
        }
    }
}