import 'package:cruiser/src/models/cruiser_transition.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';


class ZoomInTransition extends CruiserTransition
{
    final double scale = 0.5;
    final Curve curve = Curves.easeOutSine;

    @override
    Widget build(BuildContext context, Animation<double> primaryAnimation, Animation<double> secondaryAnimation, Widget child) 
    {
        return ScaleTransition(
            scale: primaryAnimation,
            child: child
        );  
    }
}